<template>
<div class="modal-content">
    <div class="modal-header">
        <h6 class="modal-title float-left" id="modalIdLabel">{{ food.name }}</h6>
        <div class="float-right d-flex">
                <h6 class="modal-title  text-muted" id="modalIdPrice" >Total Price: ${{ total_price }}</h6>
                <!-- @if($foodsOffer[$key]["price"]){{ $foodsOffer[$key]["price"] }} @else{{ $food->price }} @endif -->
                <a href="#" class="btn btn-outline-dark btn-sm btn-modal-close" data-dismiss="modal" aria-label="Close">
                    <i class="fas fa-times"></i>
                </a>
        </div>
    </div>
    <div class="modal-body">
        <div class="row">
                <div class="col-md-3">
                    <div class="sl-no">
                       {{ food.id }}
                    </div>
                </div>

                <div class="col-md-9">
                    <div class="order-food-details">
                        <p class="food-details">
                            {{ food.note }}
                        </p>
                        <form @submit="formSubmit" :id="id">
                            <!-- {{ route('cart.setFoodCookies', ['id' => $food->id]) }} -->
                            <div class="row">
                                    <div class="col">
                                    <h5 class="total-qn text-muted text-right" style="padding-top: 5px;">Total Quantity: </h5>
                                    </div>
                                    <div class="col">
                                        <div class="quantity">
                                            <input type="number" v-model="quantity" name="quantity" class="form-control quantity-input" min="1" max="100" step="1" value="quantity">
                                        </div>
                                    </div>

                                    <div class="col-md-12" v-if="food.extra_food_list">
                                        <div class="extra-items">
                                            <table class="table table-borderless">
                                                <tbody>
                                                        <tr class="extra-item-header">
                                                            <th colspan="4">Extra Items</th>
                                                        </tr>
                                                        <!-- @foreach ($food->extra_food_list as $ex_food) -->
                                                        <tr v-for="ex_food in food.extra_food_list" :key="ex_food.id" class="table-row" v-bind:id="row+ex_food">
                                                            <td class="select-or-not">
                                                            <label class="custom-control custom-checkbox">
                                                                <input name="status" type="checkbox" class="custom-control-input status" v-bind:id="status+ex_food">
                                                                <span class="custom-control-indicator"></span>
                                                            </label>
                                                            </td>
                                                            <td class="modal-food-name-td">
                                                                <!-- <h6>{{ getFoodname(ex_food) }}</h6> -->
                                                                <h6>hello</h6>
                                                            </td>
                                                            <td class="modal-cart-price-td">
                                                                <!--  <h6>{{ getFoodPrice(ex_food) }}</h6>-->
                                                                <h6>$ .09</h6>
                                                            </td>
                                                            <td class="modal-quantity-cart-td" v-bind:id="row_id+ex_food">
                                                                <div class="quantity">
                                                                    <input type="number" v-model="ex_quantity[ex_food]" :name="getinputname(ex_food)" class="form-control quantity-input extra-item-quantity" min="1" max="100" step="1" value="1" disabled v-bind:id="extra_item_id+ex_food">
                                                                </div>
                                                            </td>
                                                        </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>



                                    <div class="col-md-12">
                                        <div class="notes-input">
                                            <textarea class="form-control note-input" v-model="note" name="note" id="notePick" rows="3" placeholder="Your Extra Requirements"></textarea>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="order-confirmation float-right">
                                            <button type="submit" class="btn btn-outline-dark btn-lg btn-add-to-cart btn-add-package">
                                                Add To Cart
                                            </button>
                                        </div>
                                    </div>
                            </div>
                        </form>
                    </div>
                </div>
        </div>
    </div>
</div>

</template>

<script>
    export default {
        data: () => ({
            id:"",
            offers: null,
            row:"row_",
            status:"satus_",
            row_id:"row_id_",
            extra_item_id: "extra_item_id_",
            total_price: 0,

            quantity:1,
            note:null,
            ex_quantity:[],

        }),

        props:{
            food:{
                type:Object,
                required: true
            },
            offerprice:{
                type: Number,
                required: true
            }
        },

        watch:{
            totalval(){
                this.total_price*1;
            },
        },

        mounted() {
        },

        created(){
            if(this.offerprice == 0) this.total_price = this.food.price;
            else this.total_price = this.offerprice;

            this.id = "#food_"+this.food.id+this.food.cat_id;
        },

        computed: {
        },

        methods: {
            getFoodname(id){
                let a = axios.get("customer/home/getFoodName/"+id).then(response =>{
                    return response.data;
                });
                return a;
            },
            getFoodPrice(id){
                let a = axios.get("customer/home/getFoodPrice/"+id).then(response =>{
                    return response.data;
                });
                console.log(a);
            },
            getinputname(name){
                return 'ex_quantity['+name+']';
            },

            formSubmit(e){
                e.preventDefault();
                $(this.id).modal('hide');

                this.ex_quantity.shift();

                console.log(this.note);
                console.log(this.quantity);
                console.log(this.ex_quantity);
                axios.post("cart/setFoodCookies/"+this.food.id, {
                    quantity:this.quantity,
                    note:this.note,
                    ex_quantity:this.ex_quantity
                }).then(response => {
                    this.orders = response.data;
                    console.log(this.orders);
                });
            }

        },
    }

</script>

<style>
    button{
        color: #fff;
        background:ccc;
    }

</style>

